Menu

- Learn
- Documentation
  - Language Reference
  - Library Reference
  - Command-line Reference
  - Feature Overview
  - Articles
- Downloads
- Packages
- Community
  - Blog
  - Orgs using D
  - Twitter
  - Calendar
  - Forums
  - IRC
  - Community Discord
  - Wiki
  - GitHub
  - Issues
  - Get involved
  - Contributors
  - Foundation
  - Security Team
  - Donate
  - Sponsors
- Resources
  - Tour
  - Books
  - Tutorials
  - Tools
  - Editors
  - IDEs
  - run.dlang.io
  - Visual D
  - Acknowledgments
  - D Style
  - Glossary
  - Sitemap

Search
Report a bug
If you spot a problem with this page, click here to create a Bugzilla issue.
Improve this page
Quickly fork, edit online, and submit a pull request for this page. Requires a signed-in GitHub account. This works well for small changes. If you'd like to make larger changes you may want to consider using a local clone.

# dmd.lambdacomp

Compiler implementation of the D programming language.
This modules implements the serialization of a lambda function. The serialization is computed by visiting the abstract syntax subtree of the given lambda function. The serialization is a string which contains the type of the parameters and the string represantation of the lambda expression.
Authors:
Walter Bright
License:
Boost License 1.0

Source lambdacomp.d

Documentation https://dlang.org/phobos/dmd_lambdacomp.html

Coverage https://codecov.io/gh/dlang/dmd/src/master/src/dmd/lambdacomp.d

bool `isSameFuncLiteral`(FuncLiteralDeclaration `l1`, FuncLiteralDeclaration `l2`, Scope* `sc`);
  Compares 2 lambda functions described by their serialization.
  Parameters:

  FuncLiteralDeclaration `l1` | first lambda to be compared
  FuncLiteralDeclaration `l2` | second lambda to be compared
  Scope* `sc` | the scope where the lambdas are compared

  Returns:
  true if the 2 lambda functions are equal, false otherwise

Copyright © 1999-2020 by the D Language Foundation | Page generated by Ddoc on Mon Mar 9 06:16:56 2020